diff --git a/kimap/setacljob.cpp b/kimap/setacljob.cpp
index dea3d81..bb3841d 100644
--- a/kimap/setacljob.cpp
+++ b/kimap/setacljob.cpp
@@ -19,8 +19,8 @@
 
 #include "setacljob.h"
 
-#include <klocale.h>
-#include <kdebug.h>
+#include <KDE/KLocalizedString>
+#include <KDE/KDebug>
 
 #include "acljobbase_p.h"
 #include "message_p.h"
@@ -32,7 +32,7 @@ namespace KIMAP
   class SetAclJobPrivate : public AclJobBasePrivate
   {
     public:
-      SetAclJobPrivate( Session *session, const QString& name ) : AclJobBasePrivate(session, name) {}
+      SetAclJobPrivate( Session *session, const QString& name ) : AclJobBasePrivate( session, name ) {}
       ~SetAclJobPrivate() { }
   };
 }
@@ -40,9 +40,8 @@ namespace KIMAP
 using namespace KIMAP;
 
 SetAclJob::SetAclJob( Session *session )
-  : AclJobBase(*new SetAclJobPrivate(session, i18n("SetAcl")))
+  : AclJobBase( *new SetAclJobPrivate( session, i18n( "SetAcl" ) ) )
 {
-
 }
 
 SetAclJob::~SetAclJob()
@@ -51,32 +50,33 @@ SetAclJob::~SetAclJob()
 
 void SetAclJob::doStart()
 {
-  Q_D(SetAclJob);
+  Q_D( SetAclJob );
   QByteArray r = Acl::rightsToString( d->rightList );
-  if (d->modifier == Add) {
-    r.prepend('+');
-  } else if (d->modifier == Remove) {
-    r.prepend('-');
+  if ( d->modifier == Add ) {
+    r.prepend( '+' );
+  } else if ( d->modifier == Remove ) {
+    r.prepend( '-' );
   }
-  d->tags << d->sessionInternal()->sendCommand( "SETACL", '\"' + KIMAP::encodeImapFolderName( d->mailBox.toUtf8() ) + "\" \"" + d->id + "\" \"" + r +'\"');
+  d->tags << d->sessionInternal()->sendCommand( "SETACL", '\"' + KIMAP::encodeImapFolderName( d->mailBox.toUtf8() ) + "\" \"" + d->id + "\" \"" + r + '\"' );
 }
 
 void SetAclJob::setRights(AclModifier modifier, Acl::Rights rights)
 {
-  Q_D(SetAclJob);
-  d->setRights(modifier, rights);
+  Q_D( SetAclJob );
+  d->setRights( modifier, rights );
 }
 
 void SetAclJob::setIdentifier( const QByteArray &identifier )
 {
-  Q_D(SetAclJob);
-  d->setIdentifier(identifier);
+  Q_D( SetAclJob );
+  d->setIdentifier( identifier );
 }
 
 QByteArray SetAclJob::identifier()
 {
-  Q_D(SetAclJob);
+  Q_D( SetAclJob );
   return d->identifier();
 }
 
 #include "setacljob.moc"
+
diff --git a/kimap/setacljob.h b/kimap/setacljob.h
index 33df18d..c2496c3 100644
--- a/kimap/setacljob.h
+++ b/kimap/setacljob.h
@@ -30,7 +30,6 @@ class Session;
 struct Message;
 class SetAclJobPrivate;
 
-
 /**
  * Sets the rights that correspond to an identifier on a mailbox
  *
@@ -44,7 +43,7 @@ class SetAclJobPrivate;
 class KIMAP_EXPORT SetAclJob : public AclJobBase
 {
   Q_OBJECT
-  Q_DECLARE_PRIVATE(SetAclJob)
+  Q_DECLARE_PRIVATE( SetAclJob )
 
   friend class SessionPrivate;
 
@@ -96,6 +95,7 @@ class KIMAP_EXPORT SetAclJob : public AclJobBase
      * Note that negative rights override positive rights: if
      * "fred" and "-fred" are both assigned the 'w' right, the
      * user "fred" will not have the 'w' right.
+     * @param identifier the identifier to set
      */
     void setIdentifier( const QByteArray &identifier );
     /**
diff --git a/kimap/setmetadatajob.cpp b/kimap/setmetadatajob.cpp
index c279812..80e46f9 100644
--- a/kimap/setmetadatajob.cpp
+++ b/kimap/setmetadatajob.cpp
@@ -19,8 +19,8 @@
 
 #include "setmetadatajob.h"
 
-#include <klocale.h>
-#include <kdebug.h>
+#include <KDE/KLocalizedString>
+#include <KDE/KDebug>
 
 #include "metadatajobbase_p.h"
 #include "message_p.h"
@@ -32,7 +32,7 @@ namespace KIMAP
   class SetMetaDataJobPrivate : public MetaDataJobBasePrivate
   {
     public:
-      SetMetaDataJobPrivate( Session *session, const QString& name ) : MetaDataJobBasePrivate(session, name), metaDataErrors(0), maxAcceptedSize(-1) { }
+      SetMetaDataJobPrivate( Session *session, const QString& name ) : MetaDataJobBasePrivate( session, name ), metaDataErrors( 0 ), maxAcceptedSize( -1 ) { }
       ~SetMetaDataJobPrivate() { }
 
       QMap<QByteArray, QByteArray> entries;
@@ -46,7 +46,7 @@ namespace KIMAP
 using namespace KIMAP;
 
 SetMetaDataJob::SetMetaDataJob( Session *session )
-  : MetaDataJobBase( *new SetMetaDataJobPrivate(session, i18n("SetMetaData")) )
+  : MetaDataJobBase( *new SetMetaDataJobPrivate( session, i18n( "SetMetaData" ) ) )
 {
 }
 
@@ -56,99 +56,102 @@ SetMetaDataJob::~SetMetaDataJob()
 
 void SetMetaDataJob::doStart()
 {
-  Q_D(SetMetaDataJob);
+  Q_D( SetMetaDataJob );
   QByteArray parameters;
   parameters = '\"' + KIMAP::encodeImapFolderName( d->mailBox.toUtf8() ) + "\" ";
   d->entriesIt = d->entries.constBegin();
 
   QByteArray command = "SETMETADATA";
-  if (d->serverCapability == Annotatemore) {
+  if ( d->serverCapability == Annotatemore ) {
     command = "SETANNOTATION";
     parameters += '\"' + d->entryName + "\" (";
-    d->m_name = i18n("SetAnnotation");
-    if (!d->entries.isEmpty()) {
-      for (; d->entriesIt != d->entries.constEnd(); ++d->entriesIt) {
-        parameters  += '\"' + d->entriesIt.key() + "\" \"" + d->entriesIt.value() + "\" ";
+    d->m_name = i18n( "SetAnnotation" );
+    if ( !d->entries.isEmpty() ) {
+      for ( ; d->entriesIt != d->entries.constEnd(); ++d->entriesIt ) {
+        parameters += '\"' + d->entriesIt.key() + "\" \"" + d->entriesIt.value() + "\" ";
       }
       parameters[parameters.length() - 1] = ')';
     }
   } else {
     parameters += '(';
-    if (!d->entries.isEmpty()) {
+    if ( !d->entries.isEmpty() ) {
       parameters += '\"' + d->entriesIt.key() + '\"';
       parameters += ' ';
-      parameters +=" {" + QByteArray::number(d->entriesIt.value().size()) + '}';
+      parameters += " {" + QByteArray::number( d->entriesIt.value().size() ) + '}';
     }
   }
 
-  if (d->entries.isEmpty()) {
+  if ( d->entries.isEmpty() ) {
     parameters += ')';
   }
 
   d->tags << d->sessionInternal()->sendCommand( command, parameters );
-//   qDebug() << "SENT: " << command << " " << parameters;
+//   kDebug() << "SENT: " << command << " " << parameters;
 }
 
 void SetMetaDataJob::handleResponse( const Message &response )
 {
-  Q_D(SetMetaDataJob);
+  Q_D( SetMetaDataJob );
 
   //TODO: Test if a server can really return more then one untagged NO response. If not, no need to OR the error codes
-  if ( !response.content.isEmpty()
-        && d->tags.contains( response.content.first().toString() ) ) {
+  if ( !response.content.isEmpty() &&
+       d->tags.contains( response.content.first().toString() ) ) {
     if ( response.content[1].toString() == "NO" ) {
       setError( UserDefinedError );
-      setErrorText( i18n("%1 failed, server replied: %2", d->m_name, response.toString().constData()) );
-      if (response.content[2].toString() == "[ANNOTATEMORE TOOMANY]" || response.content[2].toString() == "[METADATA TOOMANY]") {
+      setErrorText( i18n( "%1 failed, server replied: %2", d->m_name, response.toString().constData() ) );
+      if ( response.content[2].toString() == "[ANNOTATEMORE TOOMANY]" ||
+           response.content[2].toString() == "[METADATA TOOMANY]" ) {
         d->metaDataErrors |= TooMany;
-      } else if (response.content[2].toString() == "[ANNOTATEMORE TOOBIG]" || response.content[2].toString().startsWith("[METADATA MAXSIZE")) {
+      } else if ( response.content[2].toString() == "[ANNOTATEMORE TOOBIG]" ||
+                  response.content[2].toString().startsWith( "[METADATA MAXSIZE" ) ) { //krazy:exclude=strings
         d->metaDataErrors |= TooBig;
         d->maxAcceptedSize = -1;
-        if (response.content[2].toString().startsWith("[METADATA MAXSIZE")) { //krazy:exclude=strings
+        if ( response.content[2].toString().startsWith( "[METADATA MAXSIZE" ) ) { //krazy:exclude=strings
           QByteArray max = response.content[2].toString();
-          max.replace("[METADATA MAXSIZE",""); //krazy:exclude=doublequote_chars
-          max.replace("]", "");                //krazy:exclude=doublequote_chars
+          max.replace( "[METADATA MAXSIZE", "" ); //krazy:exclude=doublequote_chars
+          max.replace( "]", "" );                 //krazy:exclude=doublequote_chars
           d->maxAcceptedSize = max.toLongLong();
         }
-      } else if (response.content[2].toString() == "[METADATA NOPRIVATE]") {
+      } else if ( response.content[2].toString() == "[METADATA NOPRIVATE]" ) {
         d->metaDataErrors |= NoPrivate;
       }
     } else if ( response.content.size() < 2 ) {
-      setErrorText( i18n("%1 failed, malformed reply from the server.", d->m_name) );
+      setErrorText( i18n( "%1 failed, malformed reply from the server.", d->m_name ) );
     } else if ( response.content[1].toString() != "OK" ) {
       setError( UserDefinedError );
-      setErrorText( i18n("%1 failed, server replied: %2", d->m_name, response.toString().constData()) );
+      setErrorText( i18n( "%1 failed, server replied: %2", d->m_name, response.toString().constData() ) );
     }
     emitResult();
    } else if ( d->serverCapability == Metadata && response.content[0].toString() == "+" ) {
       QByteArray content = d->entriesIt.value();
       ++d->entriesIt;
-     if (d->entriesIt == d->entries.constEnd()) {
+     if ( d->entriesIt == d->entries.constEnd() ) {
        content += ')';
      } else {
-       content +=" {" + QByteArray::number(d->entriesIt.value().size()) + '}';
+       content += " {" + QByteArray::number( d->entriesIt.value().size() ) + '}';
      }
-//      qDebug() << "SENT: " << content;
+//      kDebug() << "SENT: " << content;
      d->sessionInternal()->sendData( content );
   }
 }
 
 void SetMetaDataJob::addMetaData(const QByteArray &name, const QByteArray &value)
 {
-  Q_D(SetMetaDataJob);
+  Q_D( SetMetaDataJob );
   d->entries[name] = value;
 }
 
 void SetMetaDataJob::setEntry(const QByteArray &entry)
 {
-  Q_D(SetMetaDataJob);
+  Q_D( SetMetaDataJob );
   d->entryName = entry;
 }
 
 SetMetaDataJob::MetaDataErrors SetMetaDataJob::metaDataErrors() const
 {
-  Q_D(const SetMetaDataJob);
+  Q_D( const SetMetaDataJob );
   return d->metaDataErrors;
 }
 
 #include "setmetadatajob.moc"
+
diff --git a/kimap/setquotajob.cpp b/kimap/setquotajob.cpp
index 9dedddd..347aeee 100644
--- a/kimap/setquotajob.cpp
+++ b/kimap/setquotajob.cpp
@@ -19,8 +19,8 @@
 
 #include "setquotajob.h"
 
-#include <klocale.h>
-#include <kdebug.h>
+#include <KDE/KLocalizedString>
+#include <KDE/KDebug>
 
 #include "quotajobbase_p.h"
 #include "message_p.h"
@@ -31,7 +31,7 @@ namespace KIMAP
   class SetQuotaJobPrivate : public QuotaJobBasePrivate
   {
     public:
-      SetQuotaJobPrivate( Session *session, const QString& name ) : QuotaJobBasePrivate(session, name) { }
+      SetQuotaJobPrivate( Session *session, const QString& name ) : QuotaJobBasePrivate( session, name ) { }
       ~SetQuotaJobPrivate() { }
 
       QMap<QByteArray, qint64> setList;
@@ -42,7 +42,7 @@ namespace KIMAP
 using namespace KIMAP;
 
 SetQuotaJob::SetQuotaJob( Session *session )
-  : QuotaJobBase( *new SetQuotaJobPrivate(session, i18n("SetQuota")) )
+  : QuotaJobBase( *new SetQuotaJobPrivate( session, i18n( "SetQuota" ) ) )
 {
 }
 
@@ -52,54 +52,54 @@ SetQuotaJob::~SetQuotaJob()
 
 void SetQuotaJob::doStart()
 {
-  Q_D(SetQuotaJob);
+  Q_D( SetQuotaJob );
   QByteArray s;
   s += '(';
-  for (QMap<QByteArray, qint64>::ConstIterator it = d->setList.constBegin(); it != d->setList.constEnd(); ++it ) {
-    s += it.key() + ' ' + QByteArray::number(it.value()) + ' ';
+  for ( QMap<QByteArray, qint64>::ConstIterator it = d->setList.constBegin(); it != d->setList.constEnd(); ++it ) {
+    s += it.key() + ' ' + QByteArray::number( it.value() ) + ' ';
   }
-  if (d->setList.isEmpty()) {
+  if ( d->setList.isEmpty() ) {
     s += ')';
   } else {
     s[s.length() - 1] = ')';
   }
 
-  qDebug() << "SETQUOTA " << '\"' + d->root + "\" " + s;
+  kDebug() << "SETQUOTA " << '\"' + d->root + "\" " + s;
   //XXX: [alexmerry, 2010-07-24]: should d->root be quoted properly?
-  d->tags << d->sessionInternal()->sendCommand( "SETQUOTA", '\"' + d->root + "\" " + s);
+  d->tags << d->sessionInternal()->sendCommand( "SETQUOTA", '\"' + d->root + "\" " + s );
 }
 
 void SetQuotaJob::handleResponse(const Message &response)
 {
-  Q_D(SetQuotaJob);
-  if (handleErrorReplies(response) == NotHandled) {
-    if ( response.content.size() >= 4
-         && response.content[1].toString() == "QUOTA" ) {
-      d->quota = d->readQuota(response.content[3]);
+  Q_D( SetQuotaJob );
+  if ( handleErrorReplies( response ) == NotHandled ) {
+    if ( response.content.size() >= 4 &&
+         response.content[1].toString() == "QUOTA" ) {
+      d->quota = d->readQuota( response.content[3] );
     }
   }
 }
 
-
 void SetQuotaJob::setQuota(const QByteArray &resource, qint64 limit)
 {
-  Q_D(SetQuotaJob);
+  Q_D( SetQuotaJob );
 
   d->setList[resource.toUpper()] = limit;
 }
 
 void SetQuotaJob::setRoot(const QByteArray& root)
 {
-  Q_D(SetQuotaJob);
+  Q_D( SetQuotaJob );
 
   d->root = root;
 }
 
 QByteArray SetQuotaJob::root() const
 {
-  Q_D(const SetQuotaJob);
+  Q_D( const SetQuotaJob );
 
   return d->root;
 }
 
 #include "setquotajob.moc"
+
diff --git a/kimap/setquotajob.h b/kimap/setquotajob.h
index f3fac37..ff21a29 100644
--- a/kimap/setquotajob.h
+++ b/kimap/setquotajob.h
@@ -84,6 +84,7 @@ class KIMAP_EXPORT SetQuotaJob : public QuotaJobBase
      * may create it and change the quota roots for any number of
      * existing mailboxes in an implementation-defined manner.
      *
+     * @param root the quota root to set, in bytes
      * @see GetQuotaRootJob
      */
     void setRoot( const QByteArray &root );
diff --git a/kimap/storejob.cpp b/kimap/storejob.cpp
index cf70503..0118000 100644
--- a/kimap/storejob.cpp
+++ b/kimap/storejob.cpp
@@ -19,8 +19,8 @@
 
 #include "storejob.h"
 
-#include <kdebug.h>
-#include <klocale.h>
+#include <KDE/KDebug>
+#include <KDE/KLocalizedString>
 
 #include "job_p.h"
 #include "message_p.h"
@@ -46,9 +46,9 @@ namespace KIMAP
 using namespace KIMAP;
 
 StoreJob::StoreJob( Session *session )
-  : Job( *new StoreJobPrivate(session, i18n("Store")) )
+  : Job( *new StoreJobPrivate( session, i18n( "Store" ) ) )
 {
-  Q_D(StoreJob);
+  Q_D( StoreJob );
   d->uidBased = false;
   d->mode = SetFlags;
 }
@@ -59,84 +59,86 @@ StoreJob::~StoreJob()
 
 void StoreJob::setSequenceSet( const ImapSet &set )
 {
-  Q_D(StoreJob);
+  Q_D( StoreJob );
   d->set = set;
 }
 
 ImapSet StoreJob::sequenceSet() const
 {
-  Q_D(const StoreJob);
+  Q_D( const StoreJob );
   return d->set;
 }
 
 void StoreJob::setUidBased(bool uidBased)
 {
-  Q_D(StoreJob);
+  Q_D( StoreJob );
   d->uidBased = uidBased;
 }
 
 bool StoreJob::isUidBased() const
 {
-  Q_D(const StoreJob);
+  Q_D( const StoreJob );
   return d->uidBased;
 }
 
 void StoreJob::setFlags( const MessageFlags &flags )
 {
-  Q_D(StoreJob);
+  Q_D( StoreJob );
   d->flags = flags;
 }
 
 MessageFlags StoreJob::flags() const
 {
-  Q_D(const StoreJob);
+  Q_D( const StoreJob );
   return d->flags;
 }
 
 void StoreJob::setMode( StoreMode mode )
 {
-  Q_D(StoreJob);
+  Q_D( StoreJob );
   d->mode = mode;
 }
 
 StoreJob::StoreMode StoreJob::mode() const
 {
-  Q_D(const StoreJob);
+  Q_D( const StoreJob );
   return d->mode;
 }
 
 QMap<int, MessageFlags> StoreJob::resultingFlags() const
 {
-  Q_D(const StoreJob);
+  Q_D( const StoreJob );
   return d->resultingFlags;
 }
 
 void StoreJob::doStart()
 {
-  Q_D(StoreJob);
+  Q_D( StoreJob );
 
   QByteArray parameters = d->set.toImapSequenceSet()+' ';
 
   switch ( d->mode ) {
   case SetFlags:
-    parameters+= "FLAGS";
+    parameters += "FLAGS";
     break;
   case AppendFlags:
-    parameters+= "+FLAGS";
+    parameters += "+FLAGS";
     break;
   case RemoveFlags:
-    parameters+= "-FLAGS";
+    parameters += "-FLAGS";
     break;
   }
 
-  parameters+=" (";
+  parameters += " (";
   foreach ( const QByteArray &flag, d->flags ) {
-    parameters+=flag+' ';
+    parameters += flag + ' ';
   }
-  if (!d->flags.isEmpty()) parameters.chop(1);
-  parameters+=')';
+  if ( !d->flags.isEmpty() ) {
+    parameters.chop( 1 );
+  }
+  parameters += ')';
 
-  qDebug("%s", parameters.constData());
+  kDebug() << parameters;
 
   QByteArray command = "STORE";
   if ( d->uidBased ) {
@@ -148,12 +150,12 @@ void StoreJob::doStart()
 
 void StoreJob::handleResponse( const Message &response )
 {
-  Q_D(StoreJob);
+  Q_D( StoreJob );
 
-  if (handleErrorReplies(response) == NotHandled ) {
-    if ( response.content.size() == 4
-      && response.content[2].toString()=="FETCH"
-      && response.content[3].type()==Message::Part::List ) {
+  if ( handleErrorReplies( response ) == NotHandled ) {
+    if ( response.content.size() == 4 &&
+         response.content[2].toString() == "FETCH" &&
+         response.content[3].type() == Message::Part::List ) {
 
       int id = response.content[1].toString().toInt();
       qint64 uid = 0;
@@ -163,21 +165,21 @@ void StoreJob::handleResponse( const Message &response )
       QList<QByteArray> content = response.content[3].toList();
 
       for ( QList<QByteArray>::ConstIterator it = content.constBegin();
-            it!=content.constEnd(); ++it ) {
+            it != content.constEnd(); ++it ) {
         QByteArray str = *it;
         ++it;
 
-        if ( str=="FLAGS" ) {
-          if ( (*it).startsWith('(') && (*it).endsWith(')') ) {
+        if ( str == "FLAGS" ) {
+          if ( ( *it ).startsWith( '(' ) && ( *it ).endsWith( ')' ) ) {
             QByteArray str = *it;
-            str.chop(1);
-            str.remove(0, 1);
-            resultingFlags = str.split(' ');
+            str.chop( 1 );
+            str.remove( 0, 1 );
+            resultingFlags = str.split( ' ' );
           } else {
             resultingFlags << *it;
           }
-        } else if ( str=="UID" ) {
-          uid = it->toLongLong(&uidFound);
+        } else if ( str == "UID" ) {
+          uid = it->toLongLong( &uidFound );
         }
       }
 
@@ -192,4 +194,5 @@ void StoreJob::handleResponse( const Message &response )
   }
 }
 
-#include "storejob.moc"
\ No newline at end of file
+#include "storejob.moc"
+
diff --git a/kimap/storejob.h b/kimap/storejob.h
index 7c41d90..4de2f76 100644
--- a/kimap/storejob.h
+++ b/kimap/storejob.h
@@ -36,13 +36,12 @@ typedef QList<QByteArray> MessageFlags;
 class KIMAP_EXPORT StoreJob : public Job
 {
   Q_OBJECT
-  Q_DECLARE_PRIVATE(StoreJob)
+  Q_DECLARE_PRIVATE( StoreJob )
 
   friend class SessionPrivate;
 
   public:
-    enum StoreMode
-    {
+    enum StoreMode {
       SetFlags,
       AppendFlags,
       RemoveFlags
diff --git a/kimap/subscribejob.cpp b/kimap/subscribejob.cpp
index 880f977..5317f73 100644
--- a/kimap/subscribejob.cpp
+++ b/kimap/subscribejob.cpp
@@ -19,8 +19,8 @@
 
 #include "subscribejob.h"
 
-#include <klocale.h>
-#include <kdebug.h>
+#include <KDE/KLocalizedString>
+#include <KDE/KDebug>
 
 #include "job_p.h"
 #include "message_p.h"
@@ -32,7 +32,7 @@ namespace KIMAP
   class SubscribeJobPrivate : public JobPrivate
   {
     public:
-      SubscribeJobPrivate( Session *session, const QString& name ) : JobPrivate(session, name) { }
+      SubscribeJobPrivate( Session *session, const QString& name ) : JobPrivate( session, name ) { }
       ~SubscribeJobPrivate() { }
 
       QString mailBox;
@@ -42,7 +42,7 @@ namespace KIMAP
 using namespace KIMAP;
 
 SubscribeJob::SubscribeJob( Session *session )
-  : Job( *new SubscribeJobPrivate(session, i18n("Subscribe")) )
+  : Job( *new SubscribeJobPrivate( session, i18n( "Subscribe" ) ) )
 {
 }
 
@@ -52,20 +52,21 @@ SubscribeJob::~SubscribeJob()
 
 void SubscribeJob::doStart()
 {
-  Q_D(SubscribeJob);
-  d->tags << d->sessionInternal()->sendCommand( "SUBSCRIBE", '\"'+KIMAP::encodeImapFolderName( d->mailBox.toUtf8() )+'\"' );
+  Q_D( SubscribeJob );
+  d->tags << d->sessionInternal()->sendCommand( "SUBSCRIBE", '\"' + KIMAP::encodeImapFolderName( d->mailBox.toUtf8() ) + '\"' );
 }
 
 void SubscribeJob::setMailBox( const QString &mailBox )
 {
-  Q_D(SubscribeJob);
+  Q_D( SubscribeJob );
   d->mailBox = mailBox;
 }
 
 QString SubscribeJob::mailBox() const
 {
-  Q_D(const SubscribeJob);
+  Q_D( const SubscribeJob );
   return d->mailBox;
 }
 
 #include "subscribejob.moc"
+
diff --git a/kimap/unsubscribejob.cpp b/kimap/unsubscribejob.cpp
index f570987..06f0900 100644
--- a/kimap/unsubscribejob.cpp
+++ b/kimap/unsubscribejob.cpp
@@ -19,8 +19,8 @@
 
 #include "unsubscribejob.h"
 
-#include <klocale.h>
-#include <kdebug.h>
+#include <KDE/KLocalizedString>
+#include <KDE/KDebug>
 
 #include "job_p.h"
 #include "message_p.h"
@@ -32,7 +32,7 @@ namespace KIMAP
   class UnsubscribeJobPrivate : public JobPrivate
   {
     public:
-      UnsubscribeJobPrivate( Session *session, const QString& name ) : JobPrivate(session, name) { }
+      UnsubscribeJobPrivate( Session *session, const QString& name ) : JobPrivate( session, name ) { }
       ~UnsubscribeJobPrivate() { }
 
       QString mailBox;
@@ -42,7 +42,7 @@ namespace KIMAP
 using namespace KIMAP;
 
 UnsubscribeJob::UnsubscribeJob( Session *session )
-  : Job( *new UnsubscribeJobPrivate(session, i18n("Unsubscribe")) )
+  : Job( *new UnsubscribeJobPrivate( session, i18n( "Unsubscribe" ) ) )
 {
 }
 
@@ -52,20 +52,21 @@ UnsubscribeJob::~UnsubscribeJob()
 
 void UnsubscribeJob::doStart()
 {
-  Q_D(UnsubscribeJob);
-  d->tags << d->sessionInternal()->sendCommand( "UNSUBSCRIBE", '\"'+KIMAP::encodeImapFolderName( d->mailBox.toUtf8() )+'\"' );
+  Q_D( UnsubscribeJob );
+  d->tags << d->sessionInternal()->sendCommand( "UNSUBSCRIBE", '\"' + KIMAP::encodeImapFolderName( d->mailBox.toUtf8() ) + '\"' );
 }
 
 void UnsubscribeJob::setMailBox( const QString &mailBox )
 {
-  Q_D(UnsubscribeJob);
+  Q_D( UnsubscribeJob );
   d->mailBox = mailBox;
 }
 
 QString UnsubscribeJob::mailBox() const
 {
-  Q_D(const UnsubscribeJob);
+  Q_D( const UnsubscribeJob );
   return d->mailBox;
 }
 
 #include "unsubscribejob.moc"
+
